Subject: bug#78134: closed (Re: bug#78134: =guix info= partly in English partly in Spanish)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 May 2025 08:55:05 +0000

Your bug report

#78134: =guix info= partly in English partly in Spanish

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78134: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78134
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78134: =guix info= partly in English partly in Spanish
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: "nomike (they/them)" <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 May 2025 10:53:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

"pelzflorian (Florian Pelz)" <[email-masked]> writes:
> Before we close this bug:
>[…]after guix pull,[…]the English guix manual come first[…]
> This should hold for you as well after `guix pull`.
> If not, what is the value of `echo $INFOPATH`?

Anyway, closing the bug now.

Regards,
Florian

Subject: =guix info= partly in English partly in Spanish
From: "nomike (they/them)" <[email-masked]>
To: [email-masked]
Date: Tue, 29 Apr 2025 16:14:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I'm on Ubuntu 24.10 foreign distro, ave guix installed via =apt= and did 
a =guix pull= just one or two days ago.

=info guix=  is partly in englsh and partly in german for me,

#+BEGIN_EXAMPLE text
El coordinador de construcciones de Guix
(https://git.cbaines.net/guix/build-coordinator/) ayuda en la
distribución de las construcciones de derivaciones entre máquinas que
ejecuten un “agente”.  El daemon de construcción se usa todavía para la
construcción de las derivaciones, pero el coordinador de construcciones
de Guix gestiona su lanzamiento y trabaja con los resultados.

    The Guix Build Coordinator consists of one “coordinator”, and one or
more connected “agent” processes.  The coordinator process handles
clients submitting builds, and allocating builds to agents.  The agent
processes talk to a build daemon to actually perform the builds, then
send the results back to the coordinator.

    Existe un guión para ejecutar el componente de coordinación del
servicio de coordinación de construcciones de Guix, pero el servicio de
Guix utiliza un guión Guile personalizado en vez de este, para mejorar
la integración con las expresiones-G usadas en la configuración.
#+END_EXAMPLE

My environment:

#+BEGIN_EXAMPLE text
# set | grep -E "(LANG|LC)"
LANG=en_US.UTF-8
LC_ADDRESS=de_LU.UTF-8
LC_IDENTIFICATION=de_LU.UTF-8
LC_MEASUREMENT=de_LU.UTF-8
LC_MONETARY=de_LU.UTF-8
LC_NAME=de_LU.UTF-8
LC_NUMERIC=de_LU.UTF-8
LC_PAPER=de_LU.UTF-8
LC_TELEPHONE=de_LU.UTF-8
LC_TIME=de_LU.UTF-8
MAILCHECK=60
NULLCMD=cat
READNULLCMD=/usr/bin/pager
#+END_EXAMPLE

I'm based in Europe/Austria, I'm a German native speaker, I have my 
system language set to english and my regional settings set to 
germen-luxemburg (as this gives me ISO date format as a standard).

I don´t  speak Spanish at all.

I have also been able to reproduce this on two of my other machines.

One is running Ubuntu 24.04.02 LTS with the following locale settings:

#+BEGIN_EXAMPLE text
# set | grep -E "(LANG|LC)"
LANG=en_US.UTF-8
LC_ADDRESS=de_LU.UTF-8
LC_IDENTIFICATION=de_LU.UTF-8
LC_MEASUREMENT=de_LU.UTF-8
LC_MONETARY=de_LU.UTF-8
LC_NAME=de_LU.UTF-8
LC_NUMERIC=de_LU.UTF-8
LC_PAPER=de_LU.UTF-8
LC_TELEPHONE=de_LU.UTF-8
LC_TIME=de_LU.UTF-8
#+END_EXAMPLE

And the other is Windows 11 running Ubuntu 24.04.02 LTS in WSL2 wit the 
following locale settings:

#+BEGIN_EXAMPLE text
# set | grep -E "(LANG|LC)"
LANG=en_US.UTF-8
#+END_EXAMPLE

Regards

nomike